POST /projects/{project}/export/schema
curl --request POST \
--url https://api-zangtable.com/projects/{project}/export/schema \
--header 'Authorization: <authorization>'import requests
url = "https://api-zangtable.com/projects/{project}/export/schema"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://api-zangtable.com/projects/{project}/export/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {},
"error": {},
"request_id": "<string>"
}Exports
POST /projects/{project}/export/schema
Creates a schema export.
POST
https://api-zangtable.com
/
projects
/
{project}
/
export
/
schema
POST /projects/{project}/export/schema
Creates a schema export.
Full request:
Error or alternate response:
Endpoint details
string
required
Bearer
pat_... (Project API Token). Keep this token on your backend/server.string
required
Project slug. This acts as the Project ID in API paths.
boolean
required
true for a successful response and false for an error response.object | null
Endpoint-specific response data when
ok is true; null on errors.object | null
Error code and message when
ok is false; null on success.string
required
Request identifier you can use when troubleshooting a specific API call.
Authentication
Project API Token.Parameters
Body optional:format json or sql, default json; file_name optional.
Request examples
Basic request:curl -X POST "$BASE_URL/projects/{project}/export/schema" \
-H 'Authorization: Bearer pat_PROJECT_TOKEN' \
-H 'Content-Type: application/json' \
--data '{}'
curl -X POST "$BASE_URL/projects/{project}/export/schema" \
-H 'Authorization: Bearer pat_PROJECT_TOKEN' \
-H 'Content-Type: application/json' \
-H 'X-Operation-Key: edit-profile-email' \
-H 'X-Operation-Run-Id: oprun_client_20260602_001' \
--data '{"format":"sql","file_name":"example_project_schema"}'
Response examples
Success:{
"ok": true,
"data": {
"export": {
"id": "exp_20260601_182345_a1b2c3d4e5",
"kind": "schema_export",
"scope": "project",
"project": "example_project",
"table": null,
"format": "json",
"download_name": "example_project_schema_export.json",
"download_url": "/projects/example_project/export/download/exp_20260601_182345_a1b2c3d4e5",
"storage_backend": "local",
"content_type": "application/json; charset=utf-8",
"row_count": null,
"table_count": null,
"size_bytes": 2048,
"status": "ready",
"status_reason": null,
"missing_at": null,
"created_at": "2026-06-02T01:23:45Z",
"expires_at": null
}
},
"error": null,
"request_id": "req_20260602T012345_123456Z_abc123def456",
"operation_key": "edit-profile-email",
"operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
"operation_grouping_status": "accepted_provided_run",
"meta": {
"generated_at": "2026-06-02T01:23:45Z"
}
}
{
"ok": false,
"data": null,
"error": {
"code": "invalid_export_format",
"message": "format must be json or sql for schema exports."
},
"request_id": "req_20260602T012345_123456Z_abc123def456",
"meta": {
"generated_at": "2026-06-02T01:23:45Z"
}
}
⌘I